Your browser was unable to load all of the resources. They may have been blocked by your firewall, proxy or browser configuration.
Press Ctrl+F5 or Ctrl+Shift+R to have your browser try again.

Problems Installing New License to Imported QuickBuild Installation #4184

gtinney ·

Hi!

For most of our existing products, my company is using an older QB license on our build server, which runs a QB version 6.0 variant.

However, at some point in the past year or so, our company purchased a new license, to be used for a new 9.0.10 QB server for products for a separate division. This week, I:

  1. copied the QuickBuild server folder from the old 6.0 QB server to the new QB server location, so that we can use the same build configurations
  2. Imported the QB 6.0 Database from the old server to the new server (mysql database)
  3. Upgraded new server to QB 9.0.10, as supported by our new license.

However, once I upgraded the imported QB server to 9.0.10, I get the error

"Current license is only eligible for versions released before 2015-10-09. Please re-generate and install the license with your service account at our web site if it is renewed recently; otherwise, you will need to renew the service to use this version."

Also, the QB Dashboard's Administration tab shows "Service Expiration Date" of "2015-10-09", which corresponds to the OLD license we use on the old QB server.

Note that, when I imported the old QB files to the new QB server, I used our NEW wrapper-license.conf file in /opt/quickbuild/conf (the file shows upgrade through 2020-04-26). However, apparently QB is not using that file.

How can I install properly the new license to our new QB server? Note I tried cut-n-pasting the contents of the new wrapper-license.conf file to the Adminstration page's "Install New License" window, but QB did not like that.

Thanks!
-greg

My company purchased a new QB license at some point in the past year. We are using this license for

  • replies 1
  • views 53
  • stars 0
gtinney ·

Update -

Apparently, there is a separate license key (from the wrapper-license.conf) that needs to be installed with the Dashboard. I contacted an ex-employee who had that key email, and was able to Import it successfully. Quickbuild 9.0.10 Seems to be happy now. Thanks!